it-swarm-fr.com

Comment utiliser pip avec Python 3.x avec Python 2.x

J'ai installé Python 3.x (en plus de Python 2.x sur Ubuntu) et lentement commencé à coupler les modules que j'utilise dans Python 2.x.

Je me demande donc quelle approche dois-je adopter pour me simplifier la vie en utilisant pip pour Python 2.x et Python 3.x?

164
theta

L’approche que vous devez adopter consiste à installer pip pour Python 3.2.

Vous faites cela de la manière suivante:

$ curl -O https://bootstrap.pypa.io/get-pip.py
$ Sudo python3.2 get-pip.py

Ensuite, vous pouvez installer des objets pour Python 3.2 avec pip-3.2 et des objets pour Python 2-7 avec pip-2.7. La commande pip finira par pointer vers l’un de ceux-ci, mais je ne sais pas trop lequel, vous devrez donc vérifier.

157
Lennart Regebro

Ce que vous pouvez également faire est d'utiliser apt-get:

apt-get install python3-pip

D'après mon expérience, cela fonctionne assez bien aussi, et vous bénéficiez de tous les avantages d'apt-get.

43
Erik Pragt

Tout d’abord, installez Python 3 pip en utilisant:

Sudo apt-get install python3-pip

Ensuite, pour utiliser Python 3 pip, utilisez:

pip3 install <module-name>

Pour Python 2 pip utiliser:

pip install <module-name>
38
aadarsh karumathil

Si vous ne souhaitez pas spécifier la version à chaque fois que vous utilisez pip :

Installer le pip:

$ curl https://raw.github.com/pypa/pip/master/contrib/get-pip.py | python3

et exportez le chemin:

$ export PATH=/Library/Frameworks/Python.framework/Versions/<version number>/bin:$PATH
15
tldr

Cela a fonctionné pour moi sur OS X: (Je dis cela car il est parfois pénible de constater que mac possède la version "propre" de chaque outil open source, et que vous ne pouvez pas le supprimer car "ses améliorations" le rendent unique pour le bon fonctionnement d'autres éléments Apple. et si vous le supprimez, les choses commencent à tomber en morceaux)

J'ai suivi les étapes fournies par @Lennart Regebro pour obtenir le pépin pour Python 3, néanmoins le pépin pour Python 2 était toujours le premier sur le chemin, alors ... ce que j'ai fait est de créer un lien symbolique vers python 3 dans/usr/bin ( en fait j'ai fait la même chose pour que mes 2 pythons courent en paix):

ln -s /Library/Frameworks/Python.framework/Versions/3.4/bin/pip /usr/bin/pip3

Avis que j'ai ajouté un 3 à la fin, vous devez donc utiliser pip3 au lieu de pip

Le post est vieux mais j'espère que cela aidera quelqu'un un jour. cela devrait théoriquement fonctionner pour tout système LINUX. 

5
Ordiel

Sur Suse Linux 13.2, pip appelle python3, mais pip2 est disponible pour utiliser l'ancienne version de python.

4
karsten

Sous Windows, vous avez d’abord installé Python 3.7, puis Python 2.7. Ensuite, utilisez la commande Invite:

pip install python2-nom-module

pip3 install python3 nom-module

C'est tout

1
Kardi Teknomo

Le plus court chemin:

python3 -m pip install package
python -m pip install package
0
fiveelements

Bien que ce soit une vieille question, je pense avoir une meilleure solution

  1. Pour utiliser pip dans un environnement 2.x python, utilisez cette commande -

    py -2 -m pip install -r exigences.txt

  2. Pour utiliser pip pour un environnement 3.x python, utilisez cette commande -

    py -3 -m pip install -r Requirements.txt

0
Anurag Daware

Notez que sur msys2, ces commandes sont utiles:

$ pacman -S python3-pip
$ pip3 install --upgrade pip
$ pip3 install --user package_name
0
user8128167